%define upstream_name    Test-YAML-Meta
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Validation of the META.yml file in a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::CPAN::Meta::YAML) >= 0.170.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildArch:  noarch

%description
This module was written to ensure that a META.yml file, provided with a
standard distribution uploaded to CPAN, meets the specifications that slowly
being introduced to module uploads, via the use of ExtUtils::MakeMaker,
Module::Build and Module::Install.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes INSTALL LICENSE META.yml README examples
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-3.mga3
+ Revision: 373934
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 28 2011 jquelin <jquelin> 0.190.0-2.mga1
+ Revision: 61633
- rebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.190.0-1.mga1
+ Revision: 60723
- update to 0.19

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 34335
- mageia rebuild
- imported package perl-Test-YAML-Meta

